:root{ --black:#222222; }
::-webkit-scrollbar {width: 5px;}
::-webkit-scrollbar-track { background: var(--dark);}
::-webkit-scrollbar-thumb {background: var(--red);}
::-webkit-scrollbar-thumb:hover {background: var(--gray);}
*:focus{outline: none!important;}
html{ scroll-behavior: smooth; }
body{ font-family: 'Raleway', sans-serif; }
.btn.focus,
.btn:focus,
.btn.active.focus,
.btn.active:focus,
.btn.focus:active,
.btn:active:focus{
    outline: none;
    box-shadow: none;
}
.app-menu{
    top: 0;
    left: 0;
    width: 60px;
    height: 100vh;
    z-index: 1000;
    position: fixed;
    background-color: var(--black);
}
.nav-link {
    font-size: 20px;
    color: var(--gray);
    padding-top: 15px;
    position: relative;
    text-align: center;
    padding-bottom: 15px;
}
.nav-link::before{
    top: 25%;
    left: 75%;
    content: '';
    display: block;
    position: absolute;
    visibility: hidden;
    border: 15px solid;
    border-color: transparent;
    border-right-color: var(--dark);
}
.nav-link::after{
    top: 10%;
    left: 120%;
    padding: 10px;
    display: block;
    position: absolute;
    visibility: hidden;
    color: var(--white);
    content: attr(data-title);
    background-color: var(--dark);
}
.nav-link:hover:after,
.nav-link:hover:before{
    visibility: visible;

}
.nav-link.active {
    color: var(--white);
    background-color: var(--red);
}
.nav-link:hover{
    color: var(--dark);
    background-color: var(--light);
}
/*end menu area*/
.app-body{
    overflow: hidden;
    margin-left: 60px;
}
section.page{
    min-height: 100vh;
}
section.page > .thumb{
    min-height: 250px;
    position: relative;
    color: var(--white);
}
section.page > .content{
    padding: 30px;
}
section.page > .content-full{
    width: 100%;
    padding: 30px;
    overflow: hidden;
    min-height: 100vh;
    background-color: var(--white);
}
section.page:nth-child(even) > .content{
    background-color: var(--light);
}
section.page:nth-child(1) > .thumb,
section.page:nth-child(2) > .thumb{
    display: none;
}
section.page .heading{
    margin: 25px 0;
    font-weight: bold;
    position: relative;
    text-transform: uppercase;
}
section.page .heading::after{
    content: '';
    height: 2px;
    width: 120px;
    display: block;
    margin-top: 5px;
    margin-left: 2px;
    background-color: var(--red);
}
section.page > .thumb .name-pc{
    float: right;
    padding: 15px;
    margin-top: 30px;
    color: var(--white);
    text-transform: uppercase;
    background-color: var(--red);
}
section.page > .content.home{
    display: flex;
    padding-left: 0;
    min-height: 100vh;
    flex-direction: column;
    justify-content: space-between;
}
section.page.home >.thumb,
section.page.about >.thumb{
    display: none;
}
/* end page area  */
.home .name::after{
    content: '';
    clear: both;
    display: block;
}
.home .name>*{
    padding: 15px;
    color:var(--white);
    display: inline-block;
    text-transform: uppercase;
    background-color: var(--dark);
}
.home .name>.mobile{
    color: var(--white);
    display: inline-block;
    background-color: var(--red);
}
.home .title{
    padding: 18px;
    display: inline-block;
    font-size: 20px;
    color: var(--dark);
    background-color:var(--white);
}
.social-link{
    font-size: 25px;
    color:var(--dark);
    padding: 15px 25px;
    position: relative;
    display: inline-block;
    text-decoration: none;
    background-color:var(--white);
}
.social-link:hover{
    color:var(--red);
    text-decoration: none;
}
.social-link::before{
    left: 25%;
    bottom: 76%;
    content: '';
    display: block;
    position: absolute;
    visibility: hidden;
    border: 15px solid;
    border-color: transparent;
    border-top-color: var(--red);
}
.social-link::after{
    left: -50%;
    bottom: 120%;
    padding: 10px;
    display: block;
    position: absolute;
    visibility: hidden;
    color: var(--white);
    content: attr(data-title);
    background-color: var(--red);
}
.social-link:hover:after,
.social-link:hover:before{
    visibility: visible;
}
/* end social-links area */
.services{
    padding: 10px;
    text-align: center;
}
.services>*{
    padding: 10px;
}
.services .icon.fa {
    width: 100px;
    height: 100px;
    padding: 20px;
    font-size: 60px;
    color: var(--light);
    border-radius: 100%;
    background-color: var(--gray);
}
/* end services area  */
.grid{
    display: flex;
    margin-top: 30px;
    flex-flow: row wrap;
    justify-content: center;
    align-items: flex-start;
}
.grid>.item{
    flex: auto;
    margin: 5px;
    padding: 5px;
    height: 300px;
    overflow: hidden;
    position: relative;
    border-radius: 4px;
    text-align: center;
    box-shadow: 0 0 4px var(--danger);
}
.grid>.item>.overlay{
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    padding: 30px;
    font-weight: bold;
    visibility: hidden;
    position: absolute;
    color: var(--light);
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.5);
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
}
.grid>.item:hover .overlay{
    visibility: visible;
}
.grid>.item>.thumb{
    width: auto;
    height: 100%;
}
/*end portfolio area  */
#google-map{
    width: 100%;
    height: 100%;
    min-height: 250px;
}
@media (min-width:992px){
    section.page{
        display: flex;
    }
    section.page >.thumb,
    section.page >.content{
        flex: 0 0 50%;
        position: relative;
    }
    section.page:nth-child(1) > .thumb,
    section.page:nth-child(2) > .thumb{
        display: block;
    }
    section.page > .home .name,
    section.page > .thumb .name-pc{
        font-size: 45px;
    }
    .home .name>.mobile{
        display: none;
    }
}

